Subject: bug#61896: 30.0.50; Emacs crashes because of an invalid free

From: Philip Kaludercic <[email-masked]>
Date: Fri, 03 Mar 2023 18:00:57 +0000

Rah Guzar <[email-masked]> writes:

> I have never used gdb before so I will need to figure that out. I am traveling
> today so this will not happen before Monday or Tuesday. But I will try it
> sometime next week.

It shouldn't be that difficult, I usually first reconfigure Emacs with
debugging information:

   $ pwd
   /home/user/src/emacs/
   $ ./configure CFLAGS="-ggdb3"

Then all you need to do is to start Emacs in the src sub-directory using
GDB and then try to provoke the bug:

   $ pwd
   /home/user/src/emacs/src
   $ gdb emacs |& tee error.log
   ... # Copyright and stuff here.
   (gdb) run -Q
   ... # Emacs is running now and you can load the broken bytecode.
       # The next GDB prompt will appear when Emacs aborts.
   (gdb) xbacktrace
   ... # The Lisp backtrace should appear here.
   (gdb) quit
   
If you do this, then the entire session log should be store in the
"error.log" file.

-- 
Philip Kaludercic